;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2010-2021 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

#lang racket
(module+ main
  (require racket/logging)
  (with-logging-to-port (current-error-port)
    (lambda ()
      (dynamic-require '(submod syndicate/distributed main) #f))
    'debug 'syndicate/distributed
    'debug 'syndicate/federation
    ))
